@import url("platform:/plugin/org.eclipse.papyrus.robotics.css/theme/robotics_theme.css");

Port[appliedStereotypes~="ComponentPort"] {
	maskLabel : name;
}

Connector[appliedStereotypes~="robotics::generics::Connects"] > Label:name {
	visible : true;
}

Connector[appliedStereotypes~="robotics::generics::Connects"] {
	routing : Rectilinear;
	lineWidth : 2;
	lineColor : gray;
}

Property[appliedStereotypes~="ComponentInstance"] > Compartment[kind="internalstructure"] {
	visible : false;
}

Property {
	maskLabel: type;
}
